#!/usr/bin/perl

# author: Kevin K.M. Chiu
#       Cobalt Microservers
# version: 1.0
# date: 2-24-98
#
# Copyright 1998-1999, Cobalt Networks, Inc
# All rights reserved

### START HARDCODED PATHS
my $AdminCGIs_dir = '/usr/admserv/cgi-bin/.cobalt';

my $Debug = (-e "/etc/DEBUG") ? 1 : 0;
$^W = $Debug;
### END HARDCODED PATHS

# use strict;
use CGI;

my $q=new CGI;

# setup translation table
my %unicodeToShiftJIS;
open( CODETABLE, "<$AdminCGIs_dir/message/unicodeShiftJIS" );
while( <CODETABLE> ) {
    /^([0-9A-F]{4}) ([0-9A-F]+)$/;
    $unicodeToShiftJIS{ $1 }=$2;
}
close( CODETABLE );

my $info=$q->param( 'info' );
$info=~s/\%([0-9A-Fa-f]{2})/pack( 'H2', $1 )/eg;

# need to decode unicode?
if( $info=~/\%u/ ) {
    $info=~s/\%u([0-9A-Fa-f]{4})/pack( 'H4', $unicodeToShiftJIS{ $1 } )/eg;
}

print <<END;
content-type: text/html
Cache-Control: no-cache

<HTML><BODY BGCOLOR=#FFFFFF>
<CENTER><TABLE WIDTH=95% BORDER=1 CELLSPACING=0><TR><TD ALIGN=CENTER><FONT SIZE=-1 COLOR=#000000>
$info
</FONT></TD></TR></TABLE></CENTER>
</BODY></HTML>
END

1;
