#!/usr/bin/perl
#
# Copyright 1998-2000, Cobalt Networks, Inc
# All rights reserved

require Cobalt::Meta::vsite;
require Cobalt::Vsite;
require Cobalt::Locale;
use CGI;

# global variables
$siteListScript="/cgi-bin/.cobalt/siteList/siteList.cgi";

$q=new CGI;
$group = $q->param( 'nic' );
$errstr = '<IMG SRC="/.cobalt/images/bang" ALIGN=CENTER>';

$locale=Cobalt::Locale->getByHTTPHeader($ENV{HTTP_ACCEPT_LANGUAGE});
if ($locale) { $ENV{LANGUAGE}=$locale->getLocale }

# No group specified or group does not exist.  IE sucks.
unless ($group && Cobalt::Vsite::vsite_get_bygroup($group)) {
    $errstr .= "invalid group: $group";
    print "Location: $siteListScript\?info=$errstr\n\n";
}

$site=new Cobalt::Meta::vsite;
$site->retrieve($group);

($ret,$info)=$site->del();
$errstr .= join("<BR>", @$info);

if (!$ret) {
    print "Location: $siteListScript\?info=$errstr\n\n";
}
elsif (scalar(@$info)) {
    print "Location: $siteListScript\?info=$errstr\n\n";
}
else {
    print "Location: $siteListScript\n\n";
}

1;


