// Copyright 1998-2000, Cobalt Networks.  All rights reserved.
// $Id: name.js,v 1.8 2000/05/29 18:57:01 will Exp $

function isNameValid( name ) {
    var ch=name.charAt( 0 );
    if( !( ( ch>='a' && ch<='z' ) || ( ch>='0' && ch<='9' ) ) ) return false;

    for( i=1; i<name.length; i++ ) {
	var ch=name.charAt( i );
	if( !( ( ch>='a' && ch<='z' ) || ( ch>='0' && ch<='9' ) ||
	ch=='.' || ch=='-' || ch=='_' ) ) return false;
    }
    return true;
}

function checkName( element, errMsg ) {
    if( element.value.length>0 && !isNameValid( element.value ) ) {
	top.showInfo( errMsg );
	element.focus();
	element.select();
	return false;
    }
    return true;
}

function isListNameValid( name ) {
    for( i=0; i<name.length; i++ ) {
	var ch=name.charAt( i );
	if( !( ( ch>='a' && ch<='z' ) || ( ch>='0' && ch<='9' ) ||
	ch=='-' || ch=='_' ) ) return false;
    }
    return true;
}

function checkListName( element, errMsg ) {
    if( element.value.length>0 && !isListNameValid( element.value ) ) {
	top.showInfo( errMsg );
	element.focus();
	element.select();
	return false;
    }
    return true;
}

function isPasswordValid( password ) {
    return true;
}

function checkPassword( element, errMsg ) {
    return true;
}
